<?php 
/*
Plugin Name: Fluency Fix
Plugin URI: http://emaroc.info/2011/07/wordpress-3-2-petit-correctif-pour-le-plugin-fluency-admin-a-little-fix-for-fluency-admin-plugin/
Description: this plugin fixes some compatibility problems (not all) to make fluency plugin usable with Wordpress 3.2
Author: Alaa-eddine KADDOURI
Version: 0.8
Author URI: http://emaroc.info/
*/
function fluency_fix_admin_actions() {
	add_action('admin_print_scripts', 'fluency_fix', 30);
}

function fluency_fix()
{
	echo "
	<style>
		.wp-submenu {display:none;}
		#wpwrap {border:0}
		.wp-menu-arrow {display:none}
		.wp-has-submenu {border-bottom-color:transparent};
		#wpcontent, #footer {margin-left: 170px;}
	</style>
	<script>
		jQuery(document).ready(function() {
		jQuery('.wp-submenu').hide();
		jQuery('#wpwrap').css({border:0});
		jQuery('.wp-menu-arrow').hide();
		jQuery('.wp-has-submenu').css({'border-bottom-color':'transparent'});
		jQuery('#wpcontent').css({'margin-left': '170px'});
	});
	</script>
	";
}


add_action('admin_menu', 'fluency_fix_admin_actions');
?>
